/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id: cbtviewer.js,v 1.1.2.1 2016/03/15 16:13:56 dvardhan Exp $ */
 
var refreshPressed  = false

window.onbeforeunload = confirmquit;
window.onkeydown = cancelRefresh;
document.onkeydown = cancelRefresh;

function confirmquit()	{

  docMode = "WEB";

  // don't do the window unload message in PREVIEW MODE
  if (parent.frames.previewcontent) {
	docMode = "PREVIEW";
  }
  // Tri Nguyen added date 10 March, 2005
  // Case #50945
  //return;
  //parent.setIsLoaded(true);
  // End
  // ignore reload caused by refresh button
  if (!refreshPressed) {
    if (docMode != 'PREVIEW')  {
	    // only do the confirmation message if the Close button is being used in the viewer
	    // this is because they may opt to just use the Home button instead
		if (typeof(this.frames.footer.CloseBtn)!='undefined'){
		  msg = this.frames.footer.closeConfirmMsg;
                  // Tri Nguyen added date 10 March, 2005
                  // Case #50945
                  // If confirm message box showed then turn on the clock to release
                  // Tree Window when Learner click on Cancel button.
                  if(typeof(msg) == "string") parent.setTimer();
                  // End
		  return msg;
		}
  	}
  }

}

/*
** This function sets the global flag
** bRefreshed to either true or false depending on whether
** the user has pressed keys that trigger a refresh.
** This function called by the the keypress eventhandler
** on the body element.
*/
// (Note:  keypress doesn't work, you have to use keydown!!!
//  While this code will trap the F5 refresh, it will not detect if the
//  user has clicked the "Refresh" toolbar button.  The launching code should hide the toolbar if this is an issue.  E. ALONSO)
function isrefresh() {


	 var F5_KEYCODE = 116
	 var r_KEYCODE = 82	//Control-r also causes the page to unload

//    if( document.event.keyCode == F5_KEYCODE || ( (document.event.keyCode ==  r_KEYCODE) && document.event.ctrlKey ) ){
	if( window.event.keyCode == F5_KEYCODE || ( (window.event.keyCode ==  r_KEYCODE) && window.event.ctrlKey ) ){
		refreshPressed   = true;
	} else {
		refreshPressed  = false;
	}
}

function cancelRefresh() {
  // keycode for F5 function
  if (window.event && window.event.keyCode == 116) {
	window.event.keyCode = 505;
  }
  if (window.event && window.event.keyCode == 82) {
	window.event.keyCode = 505;
  }
  if (window.event && window.event.keyCode == 505) {
	window.event.cancelBubble = true;
	window.event.returnValue = false;
	return false;
  }
}

